import { BehaviorSubject } from 'rxjs';
declare abstract class Controller<T> {
    constructor(initialState: T);
    _subject: BehaviorSubject<T>;
    get subject(): BehaviorSubject<T>;
    get state(): T;
    protected emit(state: T): void;
    dispose(): Promise<void>;
}
export default Controller;
